=== debian/control ===
Source: ros-iron-rosbag2-transport
Section: misc
Priority: optional
Maintainer: Michael Orlov <michael.orlov@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake-gmock <!nocheck>, ros-iron-ament-cmake-ros, ros-iron-ament-index-cpp <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-keyboard-handler, ros-iron-rclcpp, ros-iron-rmw, ros-iron-rmw-implementation-cmake <!nocheck>, ros-iron-rosbag2-compression, ros-iron-rosbag2-compression-zstd <!nocheck>, ros-iron-rosbag2-cpp, ros-iron-rosbag2-interfaces, ros-iron-rosbag2-storage, ros-iron-rosbag2-storage-default-plugins <!nocheck>, ros-iron-rosbag2-test-common <!nocheck>, ros-iron-shared-queues-vendor, ros-iron-test-msgs <!nocheck>, ros-iron-yaml-cpp-vendor, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rosbag2-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-keyboard-handler, ros-iron-rclcpp, ros-iron-rmw, ros-iron-rosbag2-compression, ros-iron-rosbag2-cpp, ros-iron-rosbag2-interfaces, ros-iron-rosbag2-storage, ros-iron-shared-queues-vendor, ros-iron-yaml-cpp-vendor, ros-iron-ros-workspace
Description: Layer encapsulating ROS middleware to allow rosbag2 to be used with or without middleware
